# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2018-02-12 12:01
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('ucarapp', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='FuelEfficiency',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('minFuel', models.PositiveSmallIntegerField()),
                ('maxFuel', models.PositiveSmallIntegerField()),
                ('car', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ucarapp.Car')),
            ],
        ),
        migrations.CreateModel(
            name='Pricing',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Range', models.CharField(choices=[('High', 'High'), ('Low', 'Low')], max_length=4)),
                ('BaseXPlan', models.IntegerField()),
                ('BaseAZPlan', models.IntegerField()),
                ('BaseMSRP', models.IntegerField()),
                ('car', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ucarapp.Car')),
            ],
        ),
        migrations.CreateModel(
            name='SeatingCapacity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('minSeating', models.PositiveSmallIntegerField()),
                ('maxSeating', models.PositiveSmallIntegerField()),
                ('car', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ucarapp.Car')),
            ],
        ),
    ]
